package com.example.loginapi

import org.springframework.web.bind.annotation.*

@RestController
@RequestMapping("/login")
class LoginController {
    @GetMapping
    fun get(): Any? {
        return RestClientUtils.getRestTemplate().getForObject("https://api-clinic.cubetiqs.com/info", Any::class.java)
    }

    @PostMapping
    fun login(
        @RequestParam(value = "username") username: String,
        @RequestParam(value = "password") password: String,
    ): Any? {
        return RestClientUtils.login(username, password)
    }
}